Update to a version which supports Cloudflare Tokens

Asked by Binoj on 2021-04-19

How to update this package to a version which supports Cloudflare Tokens? If this is updated, will help simplify lots of build pipelines. Can people outside of the maintainer (Debian Let's Encrypt Team) help in updating this package?

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu python-certbot-dns-cloudflare Edit question
Assignee:
No assignee Edit question
Solved by:
Binoj
Solved:
Last query:
Last reply:
Manfred Hampl (m-hampl) said : #1

Ubuntu is copying this package from Debian. and it seems to be outdated.
I suggest to create a bug report in the Debian bug tracker to request updating the package.

For a workaround in Ubuntu you could try using a version from a PPA, e.g. https://launchpad.net/~suqld/+archive/ubuntu/certbot (version 1.13.*), but I am not sure whether this solves the problem.
Another possibility is installing from the original source, probably https://github.com/certbot/certbot

Binoj (dbinoj) said : #2

Thanks!